Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nu.xom
Class NoSuchAttributeException

    Object
      Throwable
          Exception
              RuntimeException
                  nu.xom.XMLException
                      nu.xom.NoSuchAttributeException

All Implemented Interfaces:
  Serializable

public class NoSuchAttributeException
extends XMLException

Indicates that an attribute with a certain name and/or namespace does not exist. This is normally thrown after an attempt to remove such a non-existent attribute.

Version:
  1.0
Author:
  Elliotte Rusty Harold
See Also:
  `Element.removeAttribute(Attribute)`, Serialized Form

Constructor Summary
`NoSuchAttributeException(String message)` Creates a new `NoSuchAttributeException` with a detail message.
`NoSuchAttributeException(String message, Throwable cause)` Creates a new `NoSuchAttributeException` with the specified detail message and an underlying root cause.

Methods inherited from class nu.xom.XMLException
`getCause, initCause`

Methods inherited from class Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchAttributeException

    public NoSuchAttributeException(String message)

  Creates a new `NoSuchAttributeException` with a detail message.

Parameters:
  `message` - explains the reason for the exception

### NoSuchAttributeException

    public NoSuchAttributeException(String message,
                                    Throwable cause)

  Creates a new `NoSuchAttributeException` with the specified detail message and an underlying root cause.

Parameters:
  `message` - explains the reason for the exception
  `cause` - the nested exception that caused this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2005 Elliotte Rusty Harold
elharo@metalab.unc.edu